Bug 244803 (CVE-2007-1358) - CVE-2007-1358 tomcat accept-language xss flaw
Summary: CVE-2007-1358 tomcat accept-language xss flaw
Status: CLOSED ERRATA
Alias: CVE-2007-1358
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=asf,reported=20070410,public=2...
Keywords: Security
Depends On: 414321 244810 244811 244812 244813 363081 414331 430730 430731 440521 445320 449337 470236 470237
Blocks: 444136
TreeView+ depends on / blocked
 
Reported: 2007-06-19 09:51 UTC by Mark J. Cox
Modified: 2016-03-04 11:40 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2007-11-17 05:34:59 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0876 normal SHIPPED_LIVE Moderate: tomcat security update 2007-10-11 18:21:55 UTC
Red Hat Product Errata RHSA-2008:0630 normal SHIPPED_LIVE Low: Red Hat Network Satellite Server security update 2008-08-13 14:55:17 UTC
Red Hat Product Errata RHSA-2010:0602 normal SHIPPED_LIVE Moderate: Red Hat Certificate System 7.3 security update 2010-08-05 14:04:51 UTC

Description Mark J. Cox 2007-06-19 09:51:41 UTC
"Web pages that display the Accept-Language header value sent by the
client are susceptible to a cross-site scripting attack if they assume
the Accept-Language header value conforms to RFC 2616. Under normal
circumstances this would not be possible to exploit, however older
versions of Flash player were known to allow carefully crafted
malicious Flash files to make requests with such custom headers.
Tomcat now ignores invalid values for Accept-Language headers that do
not conform to RFC 2616."

Therefore impact=low

"This flaw is actually an issue in the container getLocale() method and not 
in Struts itself.  Tomcat has already been patched to ignore invalid 
values in the header, which blocks this flaw.  The fix is included in 
version 6.0.6 and later.  The flaw will also be included in 5.5.21 and 
4.1.35 once released (see references below for the commits)

http://marc.theaimsgroup.com/?t=116546006600003&r=1&w=2
http://marc.theaimsgroup.com/?l=tomcat-dev&m=116554293928041&w=2
http://marc.theaimsgroup.com/?l=tomcat-dev&m=116554309925687&w=2
http://marc.theaimsgroup.com/?l=tomcat-dev&m=116554395917675&w=2
"

Comment 6 Devrim GUNDUZ 2007-11-16 00:50:51 UTC
Already applied patches:
------------------------
http://marc.info/?l=tomcat-dev&m=116554395917675&w=2
http://marc.info/?l=tomcat-dev&m=116554309925687&w=2
http://marc.info/?l=tomcat-dev&m=116554293928041&w=2

Patches that can be applied:
http://marc.info/?l=tomcat-dev&m=116545994900298&w=2

1st chunk is already in the code, the other parts can be applied.


Comment 7 Fedora Update System 2007-11-17 05:34:49 UTC
tomcat5-5.5.25-1jpp.1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2007-11-17 05:37:48 UTC
tomcat5-5.5.25-1jpp.1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2010-08-04 21:33:03 UTC
This issue has been addressed in following products:

  Red Hat Certificate System 7.3

Via RHSA-2010:0602 https://rhn.redhat.com/errata/RHSA-2010-0602.html


Note You need to log in before you can comment on or make changes to this bug.